ginv {MASS} | R Documentation

## Generalized Inverse of a Matrix

### Description

Calculates the Moore-Penrose generalized inverse of a matrix `X`.

### Usage

    ginv(X, tol = sqrt(.Machine$double.eps))

### Arguments

`X` | Matrix for which the Moore-Penrose inverse is required.
`tol` | A relative tolerance to detect zero singular values.

### Value

A MP generalized inverse matrix for `X`.

### References

Venables, W. N. and Ripley, B. D. (1999) Modern Applied Statistics with S-PLUS. Third Edition. Springer. p.100.

### See Also

`solve`, `svd`, `eigen`

[Package MASS version 7.3-51.3 Index]